function [t,y] = AB2(f,t0,T,y0,N)

% function AB2
%
% Integriere die gewoehnliche Diff.-Gleichung erster Ordnung
%
%   dy/dt = f(t,y(t))
%
% mit einem 2-schritt Adams-Bashforth Verfahren.
%
% Parameters: f    ... rechte Seite f(t,y(t)) der gew. Diff.-Gl.
%             t0,T ... Start- und End-Zeit
%             y0   ... Anfangswert
%             N    ... Number of steps
%
% Returns: t ... Zeiten
%          y ... approx. Loesung zu Zeiten t

% Schritt und Zeit
  t = zeros(N+1,1);
  h = T/N;
  for n=1:N+1
    t(n) = t0 + h*(n-1);
  end

% Initialisiere Loesungs-Vektor
  y = zeros(N+1,1);
% ... 
