% rechte Seite der Van der Pol DGL
f = @(t,y) [y(2); 8.*(1. - y(1)^2)*y(2) - y(1)];

% loese mit adaptivem Heun Verfahren
t0 =  0.;
T  = 30.;
y0 = [2; 0;];
h0 = 1.;
atol = 1.e-5;
rtol = 1.e-3;
[t,y] = adaptHeunSimple(f,t0,T,y0,h0,atol,rtol);

% plot Loesung
figure(1);
clf;
plot(t,y(1,:),'b-');
xlabel('t');
ylabel('y(t)');
title('Van der Pol Oszillator');
% print('vanDerPol_y_adaptHeunSimple.eps','-depsc')

% plot Schrittweite
h = diff(t);
figure(2);
clf;
semilogy(t(2:end),h,'b+');
xlabel('t');
ylabel('h');
title('Schrittweite');
% print('vanDerPol_h_adaptHeunSimple.eps','-depsc')
